
.cart_sidebar {
  width: min(610px, 100vw) !important;
  max-width: 100% !important;
  max-height: 85vh !important;
  border-radius: 6px;
  /* cart product item style */
}

@media screen and (max-width: 768px) {
  .cart_sidebar {
    width: calc(100vw - 32px) !important;
    max-width: calc(100vw - 32px) !important;
    margin: 0 16px;
    right: 0;
    left: auto;
  }

  .rtl .cart_sidebar {
    right: auto;
    left: 0;
  }
}
.cart_sidebar .cart_discount .title {
  font-size: 12px;
  font-weight: 400;
  color: #0a0c10;
}
.cart_sidebar .cart_discount .progress_bar {
  width: 100%;
  height: 11px;
  border-radius: 0 20px 20px 0;
  background-color: #0a3254;
}
.cart_sidebar .offcanvas-title {
  font-size: 24px;
  font-weight: 700;
  color: #000000;
}
@media screen and (max-width: 768px) {
  .cart_sidebar .offcanvas-title {
    font-size: 18px;
    font-weight: 400;
  }
}

.cart_sidebar .myCart {
  overflow-y: auto;
}
.cart_sidebar .myCart .cart_product_Img {
  width: 88px;
  height: 88px;
}
@media screen and (max-width: 767px) {
  .cart_sidebar .myCart .cart_product_Img {
    width: 88px;
    height: 88px;
    border-radius: 30px;
    background-color: #ededed;
  }
}
.cart_sidebar .cart-view {
  overflow: auto;
}
.cart_sidebar .cart-empty {
  padding: 16px;
}

.cart_sidebar .cart-product-item-box {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding-left: 56px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 8px;
  -webkit-box-align: unset;
  -ms-flex-align: unset;
  align-items: unset;
  padding: 0;
}

.cart_sidebar .cart-product-item .cart-product-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 12px;
}
.cart_sidebar .cart-product-item .product-image {
  width: 80px;
  height: 80px;
  min-width: 80px;
  border-radius: 8px;
  display: block;
  background-color: var(--background-color);
}
.cart_sidebar .cart-product-item .product-image img {
  width: 100%;
  height: 100%;
  border-radius: 8px;
}
.cart_sidebar .cart-product-item .product-text {
  width: 100%;
}
.cart_sidebar .rtl .cart-product-item .product-text {
  padding-right: 0;
}
.cart_sidebar .cart-product-item .cart-product-title {
  font-size: 16px;
  color: #332218;
}
.cart_sidebar .cart-product-item .cart-product-title a {
  color: inherit;
  font-size: inherit;
  line-height: inherit;
}
.cart_sidebar .cart-product-item .color-name {
  font-size: 13px;
  line-height: 17px;
  color: #2d2a38;
  margin-top: 8px;
  display: block;
}
.cart_sidebar .cart-product-item .color-icon {
  width: 16px;
  height: 16px;
  border-radius: 50%;
  display: block;
}
.cart_sidebar .cart-product-item .quntity-box {
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  background: white;
  border: 1px solid #E5E0DA;
  width: 111px;
  height: 47px;
  padding: 8px;
  border-radius: 4px;
}
.cart_sidebar .cart-product-item .quntity-box input {
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  max-width: 100%;
  border: none;
  outline: none;
  background-color: transparent;
  text-align: center;
  font-size: 20px;
  color: #3C2A21;
}
.cart_sidebar .cart-product-item .product-total {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  border: 1px solid rgba(238, 238, 238, 0.9333333333);
  padding: 8px;
  margin-top: 12px;
}
.cart_sidebar .cart-product-item .slide-cart-info-row {
  width: 100%;
}
.cart_sidebar .cart-product-item .slide-cart-line-price {
  border: none;
  padding: 0;
  margin: 0;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons {
  border: none !important;
  margin-left: 0;
  margin-right: 0;
  max-width: 100%;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .slide-cart-addons-btn {
  padding: 10px 12px !important;
  font-size: 14px !important;
  line-height: 1.2 !important;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .accordion-button.collapsed .slide-cart-acc-icon-minus {
  display: none;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .accordion-button:not(.collapsed) .slide-cart-acc-icon-plus {
  display: none;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-type-text,
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-type-checkbox {
  max-width: 80%;
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-type-text .prefix,
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-type-text .postfix,
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-type-checkbox .prefix,
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-type-checkbox .postfix {
  display: none !important;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-name {
  font-size: 14px;
  color: #191919;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-value {
  font-size: 12px;
  line-height: 18px;
  font-weight: 400;
  color: #191919;
  white-space: normal;
  overflow: hidden;
  text-overflow: ellipsis;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .custom-field-additional-price {
  text-wrap: nowrap;
  font-size: 14px;
  font-weight: 400;
  color: #191919;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .view-image-button {
  font-size: 12px;
  font-weight: 400;
  background: var(--primary-color);
  color: #fff !important;
  border-radius: 6px;
  height: 30px;
  padding: 4px 10px;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
}
.cart_sidebar .cart_accordian_options.slide-cart-addons .add-on-image img {
  width: 25px;
  height: 25px;
}
.cart_sidebar .cart-product-item .price {
  font-size: 14px;
  font-weight: 600;
  color: #191919;
}
.cart_sidebar .cart-product-item .old-price {
  font-size: 14px;
  color: #B7A99B;
  font-weight: 600;
  text-decoration: line-through;
}
.cart_sidebar .cart-product-item .totale-title {
  font-size: 12px;
  line-height: 24px;
  color: #1e1e2c;
  font-weight: 400;
}
.cart_sidebar .cart-product-item .delete-cart-product {
  position: absolute;
  left: 12px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  padding: 2px;
  cursor: pointer;
  -webkit-transition: var(--main-transition);
  transition: var(--main-transition);
  left: 0;
  padding: 0;
}
.cart_sidebar .cart-product-item .delete-cart-product:hover {
  opacity: 0.7;
}
.cart_sidebar .cart_accordian_options {
  max-width: 670px;
  margin-left: auto;
  margin-right: auto;
  border: 1px solid rgba(238, 238, 238, 0.9333333333);
  margin-top: 8px;
}

.cart_sidebar .cart_accordian_options .accordion-item {
  border: none !important;
}
.cart_sidebar .cart_accordian_options button {
  background-color: white !important;
  border: 1px solid #E5E0DA;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  font-size: 16px;
  line-height: 16px;
  padding: 16px 24px;
}
.cart_sidebar .cart_accordian_options button::after {
  display: none !important;
}
.cart_sidebar .cart_accordian_options .cart-product-item .product-image {
  width: 85px;
  height: 85px;
}
.cart_sidebar .cart_accordian_options .cart-product-item .product-text {
  width: auto;
  padding: 0;
}
.cart_sidebar .cart_accordian_options .box_attr {
  background-color: #f7f7f7;
}

.rtl .cart-product-item .cart-product-content {
  padding-right: 24px;
}

.ltr .cart-product-item .cart-product-content {
  padding-left: 24px;
}

.rtl .cart_sidebar .cart-product-item-box {
  padding: 0;
}

.rtl .cart_sidebar .cart-product-item .delete-cart-product {
  left: auto;
  right: 12px;
  left: auto;
  right: 0;
}

.offcanvas.offcanvas-end:not(.show) {
  transform: translateX(-125%) !important;
}